Subject: Re: aio poll, io_pgetevents and a new in-kernel poll API

From: Christoph Hellwig <[email-masked]>
Date: Tue, 9 Jan 2018 13:28:50 +0100

On Thu, Jan 04, 2018 at 09:00:12AM +0100, Christoph Hellwig wrote:
> The changes were sponsored by Scylladb, and improve performance
> of the seastar framework up to 10%, while also removing the need
> for a privileged SCHED_FIFO epoll listener thread.

Due to the current events:

With KPTI enabled the aio poll code is almost 16% faster than epoll
with the special SCHED_FIFO listener thread.

The Scylladb https example is still more than 4% faster with KPTI
and aio poll vs non-KPTI with epoll.

--
To unsubscribe, send a message with 'unsubscribe linux-aio' in
the body to [email-masked].  For more info on Linux AIO,
see: http://www.kvack.org/aio/
Don't email: <a href=mailto:"[email-masked]">[email-masked]</a>